Bug 1881830 - SDN pod in crashloopbackoff state after upgrade from 4.4 -> 4.5 with multiple value of clusterCIDR
Summary: SDN pod in crashloopbackoff state after upgrade from 4.4 -> 4.5 with multiple...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: x86_64
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.5.z
Assignee: Surya Seetharaman
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1877794
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-23 07:38 UTC by OpenShift BugZilla Robot
Modified: 2020-10-19 14:55 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Kube-proxy does not support multiple clusterCIDRs to detect local traffic. So when multiple-cidrs are configured in openshift-sdn the CNO sets KubeProxyConfiguration.clusterCIDR field as empty. Until 4.4 the empty clusterCIDR value was ignored but from 4.5 we started to fail if an empty value was passed. Consequence: After upgrade from 4.4 to 4.5 the sdn-config ConfigMap has field (clusterCIDR: "") , an empty string and fails to parse causing the sdn pods to remain in crashloopbackoff state. Fix: Like in 4.4, we continue to ignore if the value is empty instead of failing and call the dummy no-op local traffic detector instead. This was fixed in 4.6 and backported to 4.5. Result: SDN pods don't crash if multiple cidrs are set.
Clone Of:
Environment:
Last Closed: 2020-10-19 14:54:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift sdn pull 195 0 None closed Bug 1881830: Emit a warning and ignore if empty cidr is passed to kubeproxy 2020-11-12 15:08:56 UTC
Red Hat Product Errata RHBA-2020:4228 0 None None None 2020-10-19 14:55:21 UTC

Comment 2 zhaozhanqi 2020-10-09 06:42:26 UTC
Verified this bug on 4.5.0-0.nightly-2020-10-08-234154 upgrade from 4.4.27

Comment 5 errata-xmlrpc 2020-10-19 14:54:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.15 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4228


Note You need to log in before you can comment on or make changes to this bug.